Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLAnchorElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLAnchorElementImpl

public final class HTMLAnchorElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAnchorElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:08 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLAnchorElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()`
`void` | `focus()`
`java.lang.String` | `getAccessKey()`
`java.lang.String` | `getCharset()`
`java.lang.String` | `getCoords()`
`java.lang.String` | `getHref()`
`java.lang.String` | `getHreflang()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRel()`
`java.lang.String` | `getRev()`
`java.lang.String` | `getShape()`
`int` | `getTabIndex()`
`java.lang.String` | `getTarget()`
`java.lang.String` | `getType()`
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setCoords(java.lang.String coords)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setName(java.lang.String name)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setShape(java.lang.String shape)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLAnchorElementImpl

    public HTMLAnchorElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Specified by:
    getAccessKey in interface org.w3c.dom.html.HTMLAnchorElement

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    setAccessKey in interface org.w3c.dom.html.HTMLAnchorElement

### getCharset

    public java.lang.String getCharset()

  Specified by:
    getCharset in interface org.w3c.dom.html.HTMLAnchorElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface org.w3c.dom.html.HTMLAnchorElement

### getCoords

    public java.lang.String getCoords()

  Specified by:
    getCoords in interface org.w3c.dom.html.HTMLAnchorElement

### setCoords

    public void setCoords(java.lang.String coords)

  Specified by:
    setCoords in interface org.w3c.dom.html.HTMLAnchorElement

### getHref

    public java.lang.String getHref()

  Specified by:
    getHref in interface org.w3c.dom.html.HTMLAnchorElement

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    setHref in interface org.w3c.dom.html.HTMLAnchorElement

### getHreflang

    public java.lang.String getHreflang()

  Specified by:
    getHreflang in interface org.w3c.dom.html.HTMLAnchorElement

### setHreflang

    public void setHreflang(java.lang.String hreflang)

  Specified by:
    setHreflang in interface org.w3c.dom.html.HTMLAnchorElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLAnchorElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLAnchorElement

### getRel

    public java.lang.String getRel()

  Specified by:
    getRel in interface org.w3c.dom.html.HTMLAnchorElement

### setRel

    public void setRel(java.lang.String rel)

  Specified by:
    setRel in interface org.w3c.dom.html.HTMLAnchorElement

### getRev

    public java.lang.String getRev()

  Specified by:
    getRev in interface org.w3c.dom.html.HTMLAnchorElement

### setRev

    public void setRev(java.lang.String rev)

  Specified by:
    setRev in interface org.w3c.dom.html.HTMLAnchorElement

### getShape

    public java.lang.String getShape()

  Specified by:
    getShape in interface org.w3c.dom.html.HTMLAnchorElement

### setShape

    public void setShape(java.lang.String shape)

  Specified by:
    setShape in interface org.w3c.dom.html.HTMLAnchorElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface org.w3c.dom.html.HTMLAnchorElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface org.w3c.dom.html.HTMLAnchorElement

### getTarget

    public java.lang.String getTarget()

  Specified by:
    getTarget in interface org.w3c.dom.html.HTMLAnchorElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface org.w3c.dom.html.HTMLAnchorElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLAnchorElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.html.HTMLAnchorElement

### blur

    public void blur()

  Specified by:
    blur in interface org.w3c.dom.html.HTMLAnchorElement

### focus

    public void focus()

  Specified by:
    focus in interface org.w3c.dom.html.HTMLAnchorElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD